TechDraw CosmeticVertex/pl: Difference between revisions

From FreeCAD Documentation
No edit summary
(Created page with "{{GuiCommand/pl |Name=TechDraw CosmeticVertex |Name/pl=Rysunek Techniczny: Wstaw wierzchołek kosmetyczny |MenuLocation=Rysunek Techniczny → Dodaj wierzchołki → Wstaw wierzchołek kosmetyczny |Workbenches=Rysunek Techniczny |Version=0.19 |SeeAlso=Dodaj wierzchołek punktu środkowego, Dodaj wierzchołki kwadrantu }}")
Line 10: Line 10:
}}
}}


{{GuiCommand
{{GuiCommand/pl
|Name=TechDraw CosmeticVertex
|Name=TechDraw CosmeticVertex
|Name/pl=Rysunek Techniczny: Wstaw wierzchołek kosmetyczny
|MenuLocation=TechDraw → Add Vertices → Add Cosmetic Vertex
|MenuLocation=Rysunek Techniczny → Dodaj wierzchołki → Wstaw wierzchołek kosmetyczny
|Workbenches=[[TechDraw_Workbench|TechDraw]]
|Workbenches=[[TechDraw_Workbench/pl|Rysunek Techniczny]]
|Version=0.19
|Version=0.19
|SeeAlso=[[TechDraw_Midpoints|TechDraw Midpoint]], [[TechDraw_Quadrants|TechDraw Quadrant]]
|SeeAlso=[[TechDraw_Midpoints/pl|Dodaj wierzchołek punktu środkowego]], [[TechDraw_Quadrants/pl|Dodaj wierzchołki kwadrantu]]
}}
}}



Revision as of 04:57, 22 July 2023

Rysunek Techniczny: Wstaw wierzchołek kosmetyczny

Lokalizacja w menu
Rysunek Techniczny → Dodaj wierzchołki → Wstaw wierzchołek kosmetyczny
Środowisko pracy
Rysunek Techniczny
Domyślny skrót
brak
Wprowadzono w wersji
0.19
Zobacz także
Dodaj wierzchołek punktu środkowego, Dodaj wierzchołki kwadrantu

Description

The TechDraw CosmeticVertex tool adds a Vertex, which is not part of the source geometry, to a View. This Vertex behaves like any other vertex and can be used for dimensioning.

Cosmetic Vertex used to create an otherwise impossible Dimension

Usage

  1. Select a view in the drawing.
  2. Press the Add Cosmetic Vertex button
  3. A task dialog will open. It allows to set location of the Cosmetic Vertex either by picking a point or by entering an x,y-offset from the center of the selected view.
  4. To pick a position, press the button Point Picker. Click to a position in the view and subsequently press OK to create the point. To exit the point picking without creating a Cosmetic Vertex, press the Escape picking button in the dialog.

To delete a Cosmetic Vertex, select it and use the toolbar button Remove Cosmetic Object.

Note: You cannot change the location of the Cosmetic Vertex after it has been created. At the moment there is no other way than to delete it and creating a new one.

Properties

Cosmetic Vertices have no properties of their own, as they are no document objects. They share color and size settings with regular geometry vertices.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

Cosmetic Vertices are available to macros or the Python console.

dvp = App.ActiveDocument.View
org = App.Vector(0.0, 0.0, 0.0)
dvp.makeCosmeticVertex(org);

#lines too!
start = FreeCAD.Vector (1.0, 5.0, 0.0)
end = FreeCAD.Vector(1.0, -5.0, 0.0)
style = 2
weight = 0.75
pyGreen = (0.0, 0.0, 1.0, 0.0)
dvp.makeCosmeticLine(start,end,style, weight, pyGreen)